srand()

bus_config("WAVETABLE", "aux 0-1 out")
bus_config("MOOGVCF", "aux 0-1 in", "aux 2-3 out")
bus_config("SPLITTER", "aux 2-3 in", "aux 4-5 out", "aux 6 out")
bus_config("MIX", "aux 4-5 in", "out 0-1")
bus_config("GVERB", "aux 6 in", "out 0-1")

SPLITTER(0, 0, 9999, 1, 0, 1, 0, 1)
SPLITTER(0, 0, 9999, 1, 1, 0, 1, 1)


wave = maketable("wave", 1000, "saw")
dev = 0.0025
WAVETABLE(0, 9999, 7000, 5.05+irand(0, dev), 0, wave)
WAVETABLE(0, 9999, 7000, 5.05+irand(0, dev), 0.25, wave)
WAVETABLE(0, 9999, 7000, 5.05+irand(0, dev), 0.75, wave)
WAVETABLE(0, 9999, 7000, 5.05+irand(0, dev), 1,0, wave)

// MOOGVCF(outsk, insk, dur, AMP, inputchan, PAN, BYPASS,
//	FILTFREQTABLE, FILTRESONTABLE)

freqmult = makeLFO("square", 0.7, 0, 1)
freqrange = makeconnection("inlet", 1, 200)

MOOGVCF(0, 0, 9999, 1, 0, 0, 0, (freqmult*freqrange)+500, 0)
MOOGVCF(0, 0, 9999, 1, 1, 1, 0, (freqmult*freqrange)+500, 0)
MIX(0, 0, 9999, 1.0, 0, 1)

rvbamp = makeconnection("inlet", 2, 0.0)
// GVERB(outsk, insk, dur, AMP, ROOMSIZE, RVBTIME, DAMPING,
//	BANDWIDTH, DRYLEVEL, EARLYREFLECT, RVBTAIL, RINGDOWN[, INCHAN])
GVERB(0, 0, 9999, rvbamp, 187, 10, 0.0, 1.0, -90, -1, -1, 1.0)


